
; Initialization Code for PIC18F452, Family: GP control, Package: 40-Pin DIP 40pins

#include <P18F452.inc>

    ;18F452 Configuration Registers
    config  OSC = HS  ;crystal osc pll
    config  OSCS = OFF  ;oscillator switch enable is off
    config  PWRT = ON  ;power up timer on
    config  BOR = OFF  ;brown-out reset off
    config  BORV = 45  ;brown out voltage 4.5 volts
    config  WDT = OFF  ;watchdog timer
    config  WDTPS = 1  ;watchdog timer postscaler
    config  CCP2MUX = OFF ;disable (RB3)
    config  STVR = OFF  ;stack overflow reset disabled 
    config  LVP = OFF  ;low voltage programming disabled
    config  DEBUG = OFF  ;background debugger off
    config  CP0 = OFF  ;code protection block 0
    config  CP1 = OFF
    config  CP2 = OFF
    config  CP3 = OFF
    config  CPB = OFF  ;code protection boot block
    config  CPD = OFF  ;code protection data EEPROM
    config WRT0 = OFF  ;write protection block 0
    config WRT1 = OFF
    config WRT2 = OFF
    config WRT3 = OFF
    config WRTB = OFF  ;write protection boot block
    config WRTC = OFF  ;write protection configuration register
    config WRTD = OFF  ;write protection data EEPROM
    config EBTR0 = OFF  ;table read protection block 0
    config EBTR1 = OFF
    config EBTR2 = OFF
    config EBTR3 = OFF
    config EBTRB = OFF  ;table read protection boot block



VI_CODE	CODE

VisualInitialization:

; TIMER0:   . 8 bit, 1:64 prescaler. TIMER 0 interrupts are disabled
	clrf	T0CON	
	
	bsf		T0CON,	T08BIT
	bsf		T0CON,	T0PS0
	bsf		T0CON, 	T0PS2

; TIMER1:   . 16 bit, 1:2 prescaler (about 38 Hz)

	clrf	T1CON
	bsf		T1CON, T1CKPS0
	bsf		T1CON, RD16
; TIMER2: . 8 bit, no prescaler, no postscaler (about 19 kHz)
	clrf	T2CON

; PORTB initialization: four high bits are inputs, pullups are turned on
	movlw	0XFF
	movwf	TRISB
	bcf		INTCON2, RBPU

; PORTC:    
	movlw	0xF0
	movwf	TRISC
	clrf	PORTC
;	movlw	0x0F
;	movwf	PORTC

; PORTD:    (8  )
	clrf	PORTD
	clrf	TRISD

	return

	GLOBAL VisualInitialization

	END
